Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.digester3.binder
Interface RulesBinder

    public interface RulesBinder

The Digester EDSL.

Since:
  3.0

Method Summary
`void` | `addError(String messagePattern, Object... arguments)` Records an error message which will be presented to the user at a later time.
`void` | `addError(Throwable t)` Records an exception, the full details of which will be logged, and the message of which will be presented to the user at a later time.
`LinkedRuleBuilder` | `forPattern(String pattern)` Allows to associate the given pattern to one or more Digester rules.
`ClassLoader` | `getContextClassLoader()` Returns the context `ClassLoader`.
`void` | `install(RulesModule rulesModule)` Allows sub-modules inclusion while binding rules.

Method Detail

### getContextClassLoader

    ClassLoader getContextClassLoader()

  Returns the context `ClassLoader`.

  Returns:
    The context `ClassLoader`

### addError

    void addError(String messagePattern,
                  Object... arguments)

  Records an error message which will be presented to the user at a later time. Unlike throwing an exception, this enable us to continue configuring the Digester and discover more errors. Uses `String.format(String, Object[])` to insert the arguments into the message.

  Parameters:
    `messagePattern` - The message string pattern
    `arguments` - Arguments referenced by the format specifiers in the format string

### addError

    void addError(Throwable t)

  Records an exception, the full details of which will be logged, and the message of which will be presented to the user at a later time. If your Module calls something that you worry may fail, you should catch the exception and pass it into this.

  Parameters:
    `t` - The exception has to be recorded.

### install

    void install(RulesModule rulesModule)

  Allows sub-modules inclusion while binding rules.

  Parameters:
    `rulesModule` - the sub-module has to be included.

### forPattern

    LinkedRuleBuilder forPattern(String pattern)

  Allows to associate the given pattern to one or more Digester rules.

  Parameters:
    `pattern` - The pattern that this rule should match
  Returns:
    The Digester rules builder

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 The Apache Software Foundation. All Rights Reserved.